<?php

namespace App\Enums;

enum InquiryStatusEnum: string
{
    case PENDING = 'pending';

    case REPLIED = 'replied';

    public function label(): string
    {
        return match ($this) {
            self::PENDING => 'Pending',
            self::REPLIED => 'Replied',
        };
    }

    /**
     * Return the color associated with the given user status.
     *
     * @param  string  $status
     */
    public function color(): string
    {
        return match ($this) {
            self::PENDING => 'warning',
            self::REPLIED => 'success',
            default => 'warning',
        };
    }

    public static function values(): array
    {
        return array_column(self::cases(), 'value');
    }
}
